Subject: Re: [bug#43076] [PATCH] update gajim to 1.2.2

From: Efraim Flashner <[email-masked]>
Date: Tue, 1 Sep 2020 16:44:09 +0300

Hello and thank you for taking a look at this package.

On Thu, Aug 27, 2020 at 01:56:19PM -0700, Mason Hock wrote:
> From: Mason Hock <[email-masked]>
> 
> ---
>  gnu/packages/messaging.scm | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
> 
> diff --git a/gnu/packages/messaging.scm b/gnu/packages/messaging.scm
> index 9dc3e58ef9..6c47004293 100644
> --- a/gnu/packages/messaging.scm
> +++ b/gnu/packages/messaging.scm
> @@ -642,7 +642,7 @@ was initially a fork of xmpppy, but uses non-blocking sockets.")
>  (define-public gajim
>    (package
>      (name "gajim")
> -    (version "1.1.3")
> +    (version "1.2.2")
>      (source (origin
>                (method url-fetch)
>                (uri (string-append "https://gajim.org/downloads/"
> @@ -650,7 +650,7 @@ was initially a fork of xmpppy, but uses non-blocking sockets.")
>                                    "/gajim-" version ".tar.bz2"))
>                (sha256
>                 (base32
> -                "0bzxwcpdd4ydh6d6mzpr0gxwhcb0x9ympk55fpvm1hcw9d28a716"))))
> +                "1gfcp3b5nq43xxz5my8vfhfxnnli726j3hzcgwh9fzrzzd9ic3gx"))))
>      (build-system python-build-system)
>      (arguments
>       `(#:phases
> -- 
> 2.28.0
> 

I got a hash mismatch when I tried to download the package, it turns out
the file changed from .bz2 to .gz

Then when I tried to build it I got a failure during the 'check phase.
Can you take a look at it?

starting phase `check'
running test
Searching for packaging
Reading https://pypi.org/simple/packaging/
Download error on https://pypi.org/simple/packaging/: [Errno -2] Name or service not known -- Some packages may not be found!
Couldn't find index page for 'packaging' (maybe misspelled?)
Scanning index of all packages (this may take a while)
Reading https://pypi.org/simple/
Download error on https://pypi.org/simple/: [Errno -2] Name or service not known -- Some packages may not be found!
No local packages or working download links found for packaging
error: Could not find suitable distribution for Requirement.parse('packaging')
command "python" "./setup.py" "test" "-s" "test.no_gui" failed with status 1
builder for `/gnu/store/3f9gfcg7i32h9zzad3szq4rbxaj1fqzb-gajim-1.2.2.drv' failed with exit code 1
build of /gnu/store/3f9gfcg7i32h9zzad3szq4rbxaj1fqzb-gajim-1.2.2.drv failed

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted